### Method

# GLib MarkupParseContext get_tag_start

since: 2.88

#### Declaration [src]

    void
    g_markup_parse_context_get_tag_start (
      GMarkupParseContext* context,
      gsize* line_number,
      gsize* char_number,
      gsize* offset
    )

#### Description [src]

Retrieves the start position of the current start or end tag.

This function can be used in the `start_element` or `end_element` callbacks to obtain location information for error reporting.

Note that `line_number` and `char_number` are intended for human readable error messages and are therefore 1-based and in Unicode characters. `offset` on the other hand is meant for programmatic use, and thus is 0-based and in bytes.

The information is meant to accompany the values returned by `g_markup_parse_context_get_position()`, and comes with the same accuracy guarantees.

Available since: 2.88

#### Parameters

`line_number`

  Type: `gsize*`

  Return location for the line number.

  The argument will be set by the function.

`char_number`

  Type: `gsize*`

  Return location for the character number.

  The argument will be set by the function.

`offset`

  Type: `gsize*`

  Return location for offset from the beginning of the document.

  The argument will be set by the function.